<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>border-image</title>
	<style>
		.button {
			position: relative;
			display: inline-block;
			padding-top: 16px;
			padding-bottom: 16px;
			padding-left: 32px;
			padding-right: 32px;
			border: none;
			border-radius: 0;
			box-sizing: border-box;
			vertical-align: middle;
			background-color: #6fac2f;
			text-align: center;
			overflow: hidden;
			font-weight: 600;
			font-size: 16px;
			color: #fff;
			text-decoration: none!important;
			outline: none;
			-webkit-appearance: none;
			cursor: pointer;
			-webkit-user-select: none;
			-ms-user-select: none;
			user-select: none;
			transition: background-color .2s cubic-bezier(0,.31,.24,.54),color .2s cubic-bezier(0,.31,.24,.54),box-shadow .2s cubic-bezier(0,.31,.24,.54);
		}

		@property --angle {
			syntax: '<angle>';
			initial-value: 0deg;
			inherits: false;
		}

		@keyframes rotate {
			to {
				--angle: 360deg;
			}
		}

		.container {
			margin: 0 auto;
			width: 1170px;
		}

		.border-image {
			border: 10px solid white;
			border-image: url('./images/img.svg') 10% stretch;
		}
		.border-gradient {
			border: 10px solid white;
			border-image: linear-gradient(to right, #FFC14D, #FF4834, #3B0300) 1;
		}
		.border-animation {
			--angle: 0deg;
			border: 10px solid white;
			border-image: linear-gradient(var(--angle), #FFC14D, #FF4834, #3B0300) 1;
			animation: 10s rotate linear infinite;
		}

	</style>
</head>
<body>
<main>
	<section class="container">
		<div class="wrapper-buttons">
			<button class="button border-image">border-image image</button>
			<button class="button border-gradient">border-image gradient</button>
			<button class="button border-animation">border-image animation gradient</button>
		</div>

	</section>
</main>

</body>
</html>